Data.GraphViz.Attributes.Complete

# The actual Dot attributes.

data Attribute

type Attributes

sameAttribute

defaultAttributeValue

rmUnwantedAttributes

## Validity functions on `Attribute` values.

usedByGraphs

usedBySubGraphs

usedByClusters

usedByNodes

usedByEdges

validUnknown

## Custom attributes.

type AttributeName

type CustomAttribute

customAttribute

isCustom

isSpecifiedCustom

customValue

customName

findCustoms

findSpecifiedCustom

deleteCustomAttributes

deleteSpecifiedCustom

# Value types for `Attribute`s.

## Generic types

data Number

## Labels

type EscString

data Label

data VerticalPlacement

data LabelScheme

data SVGFontNames

### Types representing the Dot grammar for records.

type RecordFields

data RecordField

data Rect

data Justification

## Nodes

data Shape

data Paths

data ScaleType

data NodeSize

## Edges

data DirType

data EdgeType

### Modifying where edges point

data PortName

data PortPos

data CompassPoint

### Arrows

data ArrowType

data ArrowShape

data ArrowModifier

data ArrowFill

data ArrowSide

#### `ArrowModifier` values

noMods

openMod

## Positioning

data Point

createPoint

data Pos

data Spline

data DPoint

data Normalized

## Layout

data GraphvizCommand

data GraphSize

data ClusterMode

data Model

data Overlap

data Root

data Order

data OutputMode

data Pack

data PackMode

data PageDir

data QuadType

data RankType

data RankDir

data StartType

data ViewPort

data FocusType

data Ratios

## Modes

data ModeType

data DEConstraints

## Layers

data LayerSep

data LayerListSep

type LayerRange

data LayerRangeElem

data LayerID

data LayerList

## Stylistic

data SmoothType

data STStyle

data StyleItem

data StyleName